# Uses of Class
org.xnio.conduits.ConduitStreamSourceChannel

Packages that use ConduitStreamSourceChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.conduits
The XNIO conduit SPI.

## Uses of ConduitStreamSourceChannel in org.xnio

Methods in org.xnio that return ConduitStreamSourceChannel
Modifier and Type
Method
Description
`ConduitStreamSourceChannel`
StreamConnection.`getSourceChannel()`
Get the source channel.

## Uses of ConduitStreamSourceChannel in org.xnio.conduits

Methods in org.xnio.conduits that return ConduitStreamSourceChannel
Modifier and Type
Method
Description
`ConduitStreamSourceChannel`
ConduitStreamSourceChannel.`clone()`
Duplicate this channel.
Methods in org.xnio.conduits that return types with arguments of type ConduitStreamSourceChannel
Modifier and Type
Method
Description
`ChannelListener<? super ConduitStreamSourceChannel>`
ConduitStreamSourceChannel.`getCloseListener()`
`ChannelListener.Setter<ConduitStreamSourceChannel>`
ConduitStreamSourceChannel.`getCloseSetter()`
`ChannelListener<? super ConduitStreamSourceChannel>`
ConduitStreamSourceChannel.`getReadListener()`
`ChannelListener.Setter<ConduitStreamSourceChannel>`
ConduitStreamSourceChannel.`getReadSetter()`
Method parameters in org.xnio.conduits with type arguments of type ConduitStreamSourceChannel
Modifier and Type
Method
Description
`void`
ConduitStreamSourceChannel.`setCloseListener(ChannelListener<? super ConduitStreamSourceChannel> closeListener)`
`void`
ConduitStreamSourceChannel.`setReadListener(ChannelListener<? super ConduitStreamSourceChannel> readListener)`